#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
# This parses the csm file, but does not build geometry
filename = "f118-A.csm"
print ('\n==> Loading geometry from file "'+filename+'"...')
myProblem = pyCAPS.Problem(problemName = "workDir_1_Geom",
                           capsFile = filename,
                           outLevel = 1)

# myProblem.geometry is a class representing bodies on the stack
# Build and view the geometry with ESP
print ('\n==> Bulding and viewing geometry...')
myProblem.geometry.view()
